[sysadmin/release-tools] /: skip.ci on increase_repos_version.sh

Albert Astals Cid <[email protected]>
Newsgroups gmane.comp.kde.cvs
Message-ID <[email protected]>
Git commit a22f56cc1f6959703f3f2c817da5a71d39a3d4d7 by Albert Astals Cid.
Committed on 03/08/2026 at 21:49.
Pushed by aacid into branch 'master'.

skip.ci on increase_repos_version.sh

This creates lots of load and I have this thing running
that makes sure repos are built at least
once every 10 days

M  +1    -1    increase_repos_version.sh

https://invent.kde.org/sysadmin/release-tools/-/commit/a22f56cc1f6959703f3f2c817da5a71d39a3d4d7

diff --git a/increase_repos_version.sh b/increase_repos_version.sh
index ee02f4f..c630500 100755
--- a/increase_repos_version.sh
+++ b/increase_repos_version.sh
@@ -35,5 +35,5 @@ cat $here/modules.git | while read repoid branch; do
     $cmd perl -pi -e '$_ =~ s/\Q$1/'$version_patch'/ if (/^set ?\(RELEASE_SERVICE_VERSION_MICRO "([0-9]*)"/);' CMakeLists.txt
     $cmd git commit -a -m "GIT_SILENT Upgrade release service version to $version."
     $cmd git pull --rebase || exit 5
-    $cmd git push origin $branch || exit 6
+    $cmd git push -o ci.skip origin $branch || exit 6
 done
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.